      lua_package_path "/var/www/blog/?.lua;/var/www/braga/?.lua;/var/www/appphotos/?.lua;/var/www/apihh/?.lua;;"; 
    lua_code_cache off; 
   
    server {
		listen 80;
		server_name braga;
		root /var/www/braga;
		error_log /var/www/braga/logs/error.log;	
		
		set $template_root /var/www/braga/templates;		        
    	
    	location /public {         
            access_log off;          
        }
    		
		location / {		 
          default_type text/html;
		  add_header 'Access-Control-Allow-Origin' '*' always;
          proxy_connect_timeout 140;
          proxy_read_timeout 120;
          proxy_send_timeout 120;
          content_by_lua_file  /var/www/braga/front/index.lua;   
        }   
        
        location /archive {		 
          default_type text/html;
		  add_header 'Access-Control-Allow-Origin' '*' always;
          proxy_connect_timeout 140;
          proxy_read_timeout 120;
          proxy_send_timeout 120;
          content_by_lua_file  /var/www/braga/front/archive.lua;   
        }    
        
        location /room {		 
          default_type text/html;
		  add_header 'Access-Control-Allow-Origin' '*' always;
          proxy_connect_timeout 140;
          proxy_read_timeout 120;
          proxy_send_timeout 120;
          content_by_lua_file  /var/www/braga/front/room.lua;   
        }  
        
        location /cellar {		 
          default_type text/html;
		  add_header 'Access-Control-Allow-Origin' '*' always;
          proxy_connect_timeout 140;
          proxy_read_timeout 120;
          proxy_send_timeout 120;
          content_by_lua_file  /var/www/braga/front/cellar.lua;   
        }     
    
        
        location ~* \.(?:css(\.map)?|js(\.map)?|yaml|ico|json|pdf|jpe?g|png|gif|ico|cur|heic|webp|tiff?|mp3|m4a|aac|ogg|midi?|wav|mp4|mov|webm|mpe?g|avi|ogv|flv|wmv)$  {	          
            access_log off;
        }
        
	}
